FeatureInfo (Tomcat API Documentation)
Keywords: org.apache.tomcat.util.modeler.FeatureInfo class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tomcat.util.modeler
Class FeatureInfo

    java.lang.Object
      org.apache.tomcat.util.modeler.FeatureInfo

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  AttributeInfo, NotificationInfo, OperationInfo, ParameterInfo

    public class FeatureInfo

extends java.lang.Object
implements java.io.Serializable

Convenience base class for `AttributeInfo`, `ConstructorInfo`, and `OperationInfo` classes that will be used to collect configuration information for the `ModelMBean` beans exposed for management.

Version:
  $Revision: 467222 $ $Date: 2006-10-24 05:17:11 +0200 (Tue, 24 Oct 2006) $
Author:
  Craig R. McClanahan
See Also:
  Serialized Form

Field Summary
`protected java.lang.String` | `description`
`protected javax.management.MBeanFeatureInfo` | `info`
`protected java.lang.String` | `name`
`protected java.lang.String` | `type`

Constructor Summary
`FeatureInfo()`

Method Summary
`java.lang.String` | `getDescription()` The human-readable description of this feature.
`java.lang.String` | `getName()` The name of this feature, which must be unique among features in the same collection.
`java.lang.String` | `getType()` The fully qualified Java class name of this element.
`void` | `setDescription(java.lang.String description)`
`void` | `setName(java.lang.String name)`
`void` | `setType(java.lang.String type)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### description

    protected java.lang.String description

### name

    protected java.lang.String name

### info

    protected javax.management.MBeanFeatureInfo info

### type

    protected java.lang.String type

Constructor Detail

### FeatureInfo

    public FeatureInfo()

Method Detail

### getDescription

    public java.lang.String getDescription()

  The human-readable description of this feature.

### setDescription

    public void setDescription(java.lang.String description)

### getName

    public java.lang.String getName()

  The name of this feature, which must be unique among features in the same collection.

### setName

    public void setName(java.lang.String name)

### getType

    public java.lang.String getType()

  The fully qualified Java class name of this element.

### setType

    public void setType(java.lang.String type)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.